hold off;
q=1.6*10^(-19);
T=22*10^(-9);
G=80;
niu=(3/1.118)*10^(14);
n=0.667;
PoptZero=10^(-9.1);
PoptOne=10^(-8.1);
homega=6.625*10^(-34);
keff=0.04;
Fe=keff*G+(2-1/G)*(1-keff);
neZero=n*T/(homega*niu)*PoptZero;
neOne=n*T/(homega*niu)*PoptOne;
lambdaZero=sqrt(neZero*Fe)/(Fe-1);
lambdaOne=sqrt(neOne*Fe)/(Fe-1);
MZero=(neZero*q/T*G)*10^(9);
MOne=neOne*q/T*G*10^(9);
sigmaZero2=10^(18)*neZero*(G^2)*Fe*((q/T)^2);
sigmaOne2=10^(18)*neOne*(G^2)*Fe*((q/T)^2);
sigmaZero=10^(9)*sqrt(neZero*(G^2)*Fe*((q/T)^2));
sigmaOne=10^(9)*sqrt(neOne*(G^2)*Fe*((q/T)^2));
sigmath=14.68;

x=0:900;

x1=-200:1:200;

pZero=1./(sqrt(2*3.14159)*sigmaZero.*(1+(x-MZero)./(lambdaZero*sigmaZero))).*exp((MZero-x).^2/((2*sigmaZero2).*(1+(x-MZero)./(lambdaZero*sigmaZero))));

pOne=1./(sqrt(2*3.14159)*sigmaOne.*(1+(x-MOne)./(lambdaOne*sigmaOne))).*exp((MOne-x).^2/((2*sigmaOne2)./(1+(x-MOne)./(lambdaOne*sigmaOne))));

gauss=1./(sqrt(2*3.14159)*sigmath).*exp(-x1.^2 ./(2*(sigmath*sigmath)));

c1=conv(pZero,gauss);
c2=conv(pOne,gauss);
semilogy(x,pZero);

%semilogy(x,c1);

%semilogy(x,c2);
hold on;

%semilogy(x1,gauss);
axis([0 800 10^(-100) 10^(50)]);