
V=2.7;
R=135;
khdsl=5/9*V^2/R;
n=10;
xn=.8536*10^(-14)*n^(.6);

f=0:4000:392000;
f0=392000;
f3=196000;

for i=1:length(f)

v(i)=1/(1+(f(i)/f3)^8);
u(i)=pi*(f(i)/f0)^2;
g(i)=(sin(u(i))/u(i))^2;
r(i)=(2/f0)*khdsl*g(i)*v(i);
nehdsl(i)=xn*r(i)*(f(i))^1.5;
ps(i)=10*log10(1000*nehdsl(i));
end
plot(f,ps)


