
h=6.625*10^(-34);
c=3*10^8;
q=1.6*10^(-19);

l=1.3*10^(-6);
ni=c/l;
p=1.0*10^(-7.1);
g=80;
kef=.04;
t1=100*10^(-9);
eta=.667;

fe=kef*g+(2-1/g)*(1-kef);

ne=p*eta*t1/(h*ni);
sigma=(g*q*sqrt(ne*fe))/t1;
m=(ne*g*q)/t1;
lambda=(sqrt(ne*fe))/(fe-1);


x=(0:2:6000);

mi=m*10^9
sigmai=sigma*10^9

ui=1+(x-mi)./(lambda*sigmai);

wi=(1./(sqrt(2*pi)*sigmai.*ui.^1.5)).*exp(-1.*(x-mi).^2 ./(2*sigmai^2 .*ui));
%plot(x,wi)
%grid
semilogy(x,wi)