@echo off
rem BCCOPTS.BAT
rem
rem    Compile and link options used for building MEX-files
rem    with the Borland C compiler
rem
rem    $Revision: 1.3 $  $Date: 1996/10/30 17:40:08 $
rem
rem ********************************************************************
rem General parameters
rem ********************************************************************
set MATLAB=%MATLAB%
set BORLAND=%BORLAND%
set PATH=%BORLAND%\BIN;%PATH%
set INCLUDE=%BORLAND%\INCLUDE
set LIB=%BORLAND%\LIB;%BORLAND%\LIB\32BIT

rem ********************************************************************
rem Compiler parameters
rem ********************************************************************
set COMPILER=bcc32
set COMPFLAGS=-c -3 -A -P- -pc -I%INCLUDE% -DMATLAB_MEX_FILE
set OPTIMFLAGS=-O2
set DEBUGFLAGS=-v

rem ********************************************************************
rem Library creation command
rem ********************************************************************
set PRELINK_CMDS=copy %MATLAB%\extern\include\_mex.def .\%MEX_NAME%.def
set PRELINK_CMDS=%PRELINK_CMDS%;implib -i %LIB_NAME%1.lib %MATLAB%\extern\include\_matlab.def
rem set PRELINK_CMDS=%PRELINK_CMDS%;implib -i %LIB_NAME%2.lib %MATLAB%\extern\include\_libmx.def
rem ********************************************************************
rem Linker parameters
rem ********************************************************************
set LINKER=bcc32
set LINKFLAGS=-tWCD -L%BORLAND%\lib\32bit -L%BORLAND%\lib %LIB_NAME%1.lib
set LINKOPTIMFLAGS=
set LINKDEBUGFLAGS=-v
set LINK_FILE=
set LINK_LIB= 
set NAME_OUTPUT=-e%MEX_NAME%.dll
