clear
p=1.7457;
r=.41;
a1=0.1031*r;
a2=0.1215*r;
a3=1.4653*r;
m1=14.18*p;
m2=12.18*p;
m3=6.5/(5.09^.5);

d1=1.;
d2=1.;
d3=1.;
x=4.5:0.001:6;
y=x.^0.5;
p1=a1*pi*m1;
p2=a2*pi*m2;
p3=a3*pi*m3;
t1=(2*pi*m1).*y;
t2=(2*pi*m2).*y;
t3=(2*pi*m3).*y;
alfa1=d1-(p1./y).*cos(t1);
alfa2=d2-(p2./y).*cos(t2);
alfa3=d3-(p3./y).*cos(t3);
alfa=alfa1+alfa2+alfa3;
plot(x,alfa);
grid
xlabel('x'); ylabel('alfa(x)');
title('');
