@echo off
rem MEXOPTS.BAT
rem
rem    Compile and link options used for building MEX-files with
rem    the WATCOM C compiler
rem
rem    $Revision: 1.6 $  $Date: 1996/10/30 22:28:05 $
rem
rem ********************************************************************
rem General parameters
rem ********************************************************************
set MATLAB=%MATLAB%
set WATCOM=%WATCOM%
set PATH=%WATCOM%\BINNT;%WATCOM%\BINW;%PATH%
set INCLUDE=%WATCOM%\H;%WATCOM%\H\NT;%INCLUDE%
set LIB=%WATCOM%\LIB386;%WATCOM%\LIB386\NT;%LIB%

rem ********************************************************************
rem Compiler parameters
rem ********************************************************************
set COMPILER=wcl386
set COMPFLAGS= -c -7 -3s -zp8 -ei -bd -DMATLAB_MEX_FILE
set OPTIMFLAGS=-ox
set DEBUGFLAGS=-d2

rem ********************************************************************
rem Library creation command
rem ********************************************************************
set PRELINK_CMDS=wlib -q -n %LIB_NAME%1.lib %MATLAB%\bin\matlab.exe
rem set PRELINK_CMDS=%PRELINK_CMDS%;wlib -q -n %LIB_NAME%2.lib %MATLAB%\bin\libmx.dll

rem ********************************************************************
rem Linker parameters
rem ********************************************************************
set LINKER=wlink
rem set LINKFLAGS=format windows nt dll export mexFunction option caseexact library %LIB_NAME%2.lib library %LIB_NAME%1.lib
set LINKFLAGS=format windows nt dll export mexFunction option caseexact library %LIB_NAME%1.lib
set LINKOPTIMFLAGS=
set LINKDEBUGFLAGS=debug all
set LINK_FILE=file
set LINK_LIB=library 
set NAME_OUTPUT=name %MEX_NAME%
