@echo off
rem MSVCENGMATOPTS.BAT
rem
rem    Compile and link options used for building standalone engine or MAT programs
rem
rem    $Revision: 1.2 $  $Date: 1996/11/14 20:18:40 $
rem
rem ********************************************************************
rem General parameters
rem ********************************************************************
set MATLAB=%MATLAB%
set MSVC_ROOT=%MSVC_ROOT%
set PATH=%MSVC_ROOT%\BIN;%PATH%
set INCLUDE=%MSVC_ROOT%\INCLUDE;%INCLUDE%
set LIB=%MSVC_ROOT%\LIB;%LIB%

rem ********************************************************************
rem Compiler parameters
rem ********************************************************************
set COMPILER=cl
set OPTIMFLAGS=-O2
set DEBUGFLAGS=-Zi
set COMPFLAGS=-c -Zp8 -G5 -W3 -DMATLAB_MEX_FILE

rem ********************************************************************
rem Library creation command
rem ********************************************************************
set PRELINK_CMDS=lib /def:%MATLAB%\extern\include\libmx.def /machine:ix86 /OUT:%LIB_NAME%1.lib
set PRELINK_CMDS=%PRELINK_CMDS%;lib /def:%MATLAB%\extern\include\libeng.def /machine:ix86 /OUT:%LIB_NAME%2.lib
set PRELINK_CMDS=%PRELINK_CMDS%;lib /def:%MATLAB%\extern\include\libmat.def /machine:ix86 /OUT:%LIB_NAME%3.lib
rem ********************************************************************
rem Linker parameters
rem ********************************************************************
set LINKER=link
set LINKFLAGS= kernel32.lib user32.lib gdi32.lib %LIB_NAME%1.lib  %LIB_NAME%2.lib %LIB_NAME%3.lib
set LINKOPTIMFLAGS=
set LINKDEBUGFLAGS=/debug
set LINK_FILE=
set LINK_LIB=
set NAME_OUTPUT=/out:%MEX_NAME%.exe
