
V=3.6;
R=100;
kt1=V^2/R;
n=4;
xn=.8536*10^(-14)*n^(.6);
f31=40000;
f=4000:4000:1600000;
f0=1544000;
f3=3000000;

for i=1:length(f)

   v(i)=1/(1+(f(i)/f3)^6);
   tr(i)=(f(i))^2/((f(i)^2+f31^2));
u(i)=pi*(f(i)/f0);
g(i)=(sin(u(i))/u(i))^2;
p(i)=(sin(u(i)/2))^2;
r(i)=(2/f0)*kt1*g(i)*v(i)*p(i)*tr(i);
psd(i)=10*log10(1000*r(i));

nehdsl(i)=xn*r(i)*(f(i))^1.5;
ps(i)=10*log10(1000*nehdsl(i));
end
plot(f,ps)
axis([4000 1600000 -150 -85]);grid 
xlabel('Frecventa in Hz');
ylabel('DSP (dBm/Hz)');
title('Densitatea de probabilitate de paradiafonie');
gtext(' Numarul de perturbatori  T1 =4')


