@echo off
rem MEXOPTS.BAT
rem
rem    Compile and link options used for building MAT standalone files
rem
rem    $Revision: 1.1 $  $Date: 1996/11/14 19:22:44 $
rem
rem ********************************************************************
rem General parameters
rem ********************************************************************
set MATLAB=%MATLAB%
set WATCOM=%WATCOM%
set PATH=%WATCOM%\BINNT;%WATCOM%\BINW;%PATH%
set INCLUDE=%WATCOM%\H;%WATCOM%\H\NT;%INCLUDE%
set LIB=%WATCOM%\LIB386;%WATCOM%\LIB386\NT;%LIB%

rem ********************************************************************
rem Compiler parameters
rem ********************************************************************
set COMPILER=wcc386
set COMPFLAGS=-7 -3s -zp8 -bm
set OPTIMFLAGS=-ox
set DEBUGFLAGS=-d2

rem ********************************************************************
rem Library creation command
rem Create import libraries for array access and engine DLL's
rem ********************************************************************
set PRELINK_CMDS=wlib -q -n %LIB_NAME%1.lib %MATLAB%\bin\libmx.dll
set PRELINK_CMDS=%PRELINK_CMDS%;wlib -q -n %LIB_NAME%2.lib %MATLAB%\bin\libmat.dll
set PRELINK_CMDS=%PRELINK_CMDS%;wlib -q -n %LIB_NAME%3.lib %MATLAB%\bin\libeng.dll
rem ********************************************************************
rem Linker parameters
rem ********************************************************************
set LINKER=wlink
set LINKFLAGS=format windows nt library  %LIB_NAME%1.lib library %LIB_NAME%2.lib library %LIB_NAME%3.lib
set LINKOPTIMFLAGS=
set LINKDEBUGFLAGS=debug all
set LINK_FILE=file
set LINK_LIB=library  
set NAME_OUTPUT=name %MEX_NAME%.exe
